Subject: FVWM: Rearranging windows on the current page (was: 2 questions?)

From: Mikhael Goikhman <[email-masked]>
Date: Fri, 25 Jun 2004 20:20:05 +0000

On 26 Jun 2004 01:53:35 +0800, [email-masked] wrote:
> 
> > > (2)How to get the number of windows opened in current page?
> > 
> > There are several hacky ways, one of them is:
> > 
> >   DestroyFunc ShowNumberOfWindowsOnTheCurrentPage
> >   AddToFunc   ShowNumberOfWindowsOnTheCurrentPage
> >   + I SetEnv NUMBER_OF_WINDOWS 0
> >   + I All (CurrentPage) PipeRead 'echo SetEnv NUMBER_OF_WINDOWS \
> >         $$$$(($$$$NUMBER_OF_WINDOWS + 1))'
> >   + I Exec xmessage 'There are $[NUMBER_OF_WINDOWS] windows'
> > 
> > But I don't know what is your final task, maybe it may be solved easier
> > without calculating the exact number of windows.
> 
> I'm trying to resize all windows and arrange them into 'n x n' matrix, ie, if I
> have 4 windows open, it'll be arranged in root this way:
> r---r---r
> | w | w |
> r---+---r
> | w | w |
> r---r---r
> 
> Do you have a better idea not to use the exact number of windows?

Maybe using FvwmRearrange module? See the man page.

Regards,
Mikhael.
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].